Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Abonnez-vous gratuitement à notre NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Se désabonner

Vigil@nce : Adobe Reader, exécution de commande via Launch

avril 2010 par Vigil@nce

Ce bulletin a été rédigé par Vigil@nce : http://vigilance.fr/

SYNTHÈSE DE LA VULNÉRABILITÉ

Un attaquant peut créer un document PDF lançant une commande shell, et modifiant le message d’alerte de l’utilisateur, afin de l’inviter à exécuter la commande.

- Gravité : 2/4
- Date création : 02/04/2010

DESCRIPTION DE LA VULNÉRABILITÉ

Un document PDF peut contenir un objet OpenAction, indiquant une commande à exécuter : /OpenAction /Launch ... /DOS (commande-msdos) /Unix (commande-unix) /Action /Launch ... /Win (commande-msdos)

Lorsque l’utilisateur ouvre ce document, Adobe Reader affiche un message d’avertissement, avant d’exécuter la commande (simplifié) : Voulez-vous exécuter la commande commande-msdos Cependant, un attaquant peut insérer des sauts de ligne et un message libre dans le nom de la commande. L’utilisateur peut alors être trompé.

Un attaquant peut donc créer un document PDF lançant une commande shell, et modifiant le message d’alerte de l’utilisateur, afin de l’inviter à exécuter la commande.

ACCÈS AU BULLETIN VIGIL@NCE COMPLET http://vigilance.fr/vulnerabilite/A...




Voir les articles précédents

    

Voir les articles suivants